Subject: Re: bug#8159: file-name-sans-version fails for some git files

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Mar 2011 08:57:25 -0500

> Date: Thu, 3 Mar 2011 13:39:32 +0000
> From: Reuben Thomas <[email-masked]>
> Cc: [email-masked]
> 
> On 3 March 2011 13:36, Eli Zaretskii <[email-masked]> wrote:
> >
> > If you are okay with having foo.js~ as a simple backup file name of
> > foo.js.~HEAD~1~ and foo.js.~3~ as its numbered backup, then I see no
> > issues here.  I just wonder if that would surprise git users (I don't
> > use it too much, so I don't know).
> 
> Why would you have a backup of such a file?

Because vc-make-backup-files is set non-nil?

> It's a file visited with
> vc-revision-other-window, which is by default read-only.

Is that the only way to visit files with such names?

Anyway, your change is not limited to this particular situation, it is
more general.  It will affect any file of that form, anywhere.